apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
bases:
- ../../base
commonAnnotations:
  source-repository: https://edugit.org/Teckids/team-pr/teckids.org
commonLabels:
  app: teckids-website
  environment: ${CI_COMMIT_REF_SLUG}
namespace: teckids-website
patches:
- target:
    kind: Ingress
    name: teckids-website-caddy
  patch: |-
    - op: replace
      path: /spec/rules/0/host
      value: ${CI_COMMIT_REF_SLUG}.review.teckids.org
    - op: replace
      path: /spec/tls/0/hosts/0
      value: ${CI_COMMIT_REF_SLUG}.review.teckids.org
